%define		orgname	kernelupdatenotifier
%define		qtver	4.5.3
%define		kdever	4.3.5

Summary:	Kernel Update Notifier for KDE4
Summary(pl.UTF-8):	Powiadomienie o zaktualizowanym kernelu dla KDE4
Name:		kde4-%{orgname}
Version:	1.1.2
Release:	5
License:	GPL v2+
Group:		X11/Applications
Source0:	%{orgname}-%{version}.tar.gz
# Source0-md5:	87f53d06444ada673a176e5cadfe9c2c
Patch0:		cxx.patch
BuildRequires:  QtCore-devel >= %{qtver}
BuildRequires:  QtGui-devel >= %{qtver}
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.6.3
BuildRequires:	kde4-kdebase-workspace-devel >= %{kdever}
BuildRequires:	kde4-kdelibs-devel >= %{kdever}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
Suggests:	kernel-desktop
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kernel Update Notifier for KDE4.

%description -l pl.UTF-8
Powiadomienie o zaktualizowanym kernelu dla KDE4.

%prep
%setup -q -n %{orgname}-%{version}
%patch0 -p1

%build
install -d build
cd build
%cmake \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	../

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/apps/kernelupdatenotifier
install *.notifyrc $RPM_BUILD_ROOT%{_datadir}/apps/kernelupdatenotifier

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kernelupdatenotifier
%{_datadir}/apps/kernelupdatenotifier
%changelog
* Sat Oct 05 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kernelupdatenotifier.git;a=log;h=master

* Sat Oct 05 2019 Jan Rękorajski <baggins@pld-linux.org> e82d4c3
- fix use of private methods
- rel 5

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> dbf0528
- rebuild for g++ ABI changes
- release 4 (by relup.sh)

* Wed Feb 03 2010 shadzik <shadzik@pld-linux.org> a92b64d
- more BRs
- QtSvg-devel BR is unneeded

* Wed Feb 03 2010 shadzik <shadzik@pld-linux.org> ccd573c
- unify orgname macro (was appname)
- add BR versions
- add more BRs (still more to come)

* Fri Dec 04 2009 sparky <sparky@pld-linux.org> 70abd79
- BR: QtSvg-devel, automoc4, qt4-build, qt4-qmake

* Mon Oct 19 2009 Elan Ruusamäe <glen@pld-linux.org> 28491a8
- CMAKE_BUILD_TYPE setup

* Fri Aug 07 2009 shadzik <shadzik@pld-linux.org> 4eac892
- rel 3

* Fri Aug 07 2009 shadzik <shadzik@pld-linux.org> ef6ec54
- new tarball with new feature
- rel 2

* Fri Aug 07 2009 shadzik <shadzik@pld-linux.org> 03fd7c7
- up to 1.1.2

* Tue Mar 24 2009 shadzik <shadzik@pld-linux.org> ac6f669
- S: kernel-desktop

* Tue Mar 24 2009 shadzik <shadzik@pld-linux.org> 2583392
- up to 1.1.1 which uses cmake

* Mon Mar 23 2009 shadzik <shadzik@pld-linux.org> 6a023a0
- new tarball

* Mon Mar 23 2009 shadzik <shadzik@pld-linux.org> 137cc1f
- up to 1.1

* Thu Mar 19 2009 shadzik <shadzik@pld-linux.org> 5e77a2b
- license
- cosmetics
- rel 1

* Thu Mar 19 2009 shadzik <shadzik@pld-linux.org> d9fbed8
- remove stupid TODO

* Thu Mar 19 2009 shadzik <shadzik@pld-linux.org> fb678ad
- fix build

* Thu Mar 19 2009 shadzik <shadzik@pld-linux.org> 06085d1
- one defattr is enough

* Thu Mar 19 2009 Elan Ruusamäe <glen@pld-linux.org> 3ecf59d
- fix builddir, missing BR

* Thu Mar 19 2009 Elan Ruusamäe <glen@pld-linux.org> 923f611
- separate spec (ripped from kernel-desktop.spec@Titanium)

